@echo off
echo COMPILING COMPRESS SOURCE FILES
FOR %%c in (./*.s) DO sdasz80 -o %%c.rel %%c
echo CREATING COMPRESS LIBRARY
FOR %%c in (./*.rel) DO sdcclib comp.lib %%c
echo COPYING GENERATED LIBRARY AND HEADERS FILES
copy comp.lib ..
copy comp.h ..
echo CLEANING UP COMPRESS FOLDER
del *.rel
del comp.lib
pause